Pushbullet
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update Pushbullet action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Send notification to My-Chrome",
"type": "PUSHBULLET",
"title": "$title",
"trigger_time": "ON_EVERY_EXECUTION",
"variables": [
{
"key": "title",
"value": "Notification title"
}
],
"content": "${BUDDY_PIPELINE_NAME} execution #${BUDDY_RUN_ID}",
"link": "${BUDDY_RUN_URL}",
"device": "uju3yZ7gq6usjAiVsKnSTs",
"integration": {
"identifier": "pushbullet"
}
}'STATUS200 OK